Fluke ScopeMeter MS190
Compatibility and Installation Requirements

MS190 Compatibility

The Fluke MS190 Software Extension kit can be loaded into any Fluke 190 Series ScopeMeter that has software version V3.0 or higher installed. Instruments with another software version can be upgraded through Fluke authorized service centers.

MS190 Installation Requirements

  • Fluke 190 Series ScopeMeter, with software V3.0 or higher. You can find the status of your instrument by selecting the 'USER' menu, then 'Version & Cal'. The instrument will then indicate the software version currently in your instrument;
  • a PC, running Windows 95, 98, 2000 or NT 4.0, equipped with a CD-ROM drive and with a free RS-232 port to perform the software installation;
  • a PC with Internet access to register and receive the unique installation code key (does not have to be the same PC as used for the installation procedure);
  • a PM9080/001 optically isolated serial interface cable (as included with the Flk-196M and Flk-199M and with the SCC-190 kit and the ScopeMeter 190S models), for data interconnection between the PC's RS-232 port and the instrument.